0
0 комментариев

Добрый день!

Прошу помощи. Сам ответ не нашел.

При попытке вызвать из Excel с помощью xlwings процедуру, для которой импортируется tensorflow, возникает ошибка. Если я вызываю ту-же процедуру через Spider или комментирую import tensorflow и вызываю с помощью xlwings, всё работает.

Версии:

Windows 7

Python 3.7.3

tensorflow 2.0.0

xlwings 0.15.4

Текст ошибки ниже:

Traceback (most recent call last):

File «C:\Users\MGVSE\AppData\Local\Continuum\anaconda3\envs\py36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py», line 58, in <module>

from tensorflow.python.pywrap_tensorflow_internal import *

File «C:\Users\MGVSE\AppData\Local\Continuum\anaconda3\envs\py36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py», line 28, in <module>

_pywrap_tensorflow_internal = swig_import_helper()

File «C:\Users\MGVSE\AppData\Local\Continuum\anaconda3\envs\py36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py», line 24, in swig_import_helper

_mod = imp.load_module(‘_pywrap_tensorflow_internal’, fp, pathname, description)

File «C:\Users\MGVSE\AppData\Local\Continuum\anaconda3\envs\py36\lib\imp.py», line 243, in load_module

return load_dynamic(name, filename, file)

File «C:\Users\MGVSE\AppData\Local\Continuum\anaconda3\envs\py36\lib\imp.py», line 343, in load_dynamic

return _load(spec)

ImportError: DLL load failed: Не найден указанный модуль.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File «<string>», line 1, in <module>

File «\\vlc\ecg\ecg_ds\управление стратегического планирования\отдел анализа эффективности\елкин\задачи\нейросеть\нейросеть keras\XLindex.py», line 1, in <module>

import nnet

File «\\vlc\ecg\ecg_ds\управление стратегического планирования\отдел анализа эффективности\елкин\задачи\нейросеть\нейросеть keras\nnet.py», line 9, in <module>

import tensorflow as tf

File «C:\Users\MGVSE\AppData\Local\Continuum\anaconda3\envs\py36\lib\site-packages\tensorflow\__init__.py», line 34, in <module>

from tensorflow.python import pywrap_tensorflow # pylint: disable=unused-import

File «C:\Users\MGVSE\AppData\Local\Continuum\anaconda3\envs\py36\lib\site-packages\tensorflow\python\__init__.py», line 49, in <module>

from tensorflow.python import pywrap_tensorflow

File «C:\Users\MGVSE\AppData\Local\Continuum\anaconda3\envs\py36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py», line 74, in <module>

raise ImportError(msg)

ImportError: Traceback (most recent call last):

File «C:\Users\MGVSE\AppData\Local\Continuum\anaconda3\envs\py36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py», line 58, in <module>

from tensorflow.python.pywrap_tensorflow_internal import *

File «C:\Users\MGVSE\AppData\Local\Continuum\anaconda3\envs\py36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py», line 28, in <module>

_pywrap_tensorflow_internal = swig_import_helper()

File «C:\Users\MGVSE\AppData\Local\Continuum\anaconda3\envs\py36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py», line 24, in swig_import_helper

_mod = imp.load_module(‘_pywrap_tensorflow_internal’, fp, pathname, description)

File «C:\Users\MGVSE\AppData\Local\Continuum\anaconda3\envs\py36\lib\imp.py», line 243, in load_module

return load_dynamic(name, filename, file)

File «C:\Users\MGVSE\AppData\Local\Continuum\anaconda3\envs\py36\lib\imp.py», line 343, in load_dynamic

return _load(spec)

ImportError: DLL load failed: Не найден указанный модуль.

Failed to load the native TensorFlow runtime.

Asked question
Добавить комментарий